package com.alterdekim.flash.decompiler.util;

import lombok.extern.slf4j.Slf4j;

import java.util.BitSet;

@Slf4j
public class Bits {

    public static int convert(BitSet bits, int len, boolean swapEndian) {
        int n = 0;
        for(int i = 0; i < len; i++ ) {
            n += bits.get(i) ? 1 << (swapEndian ? i : (len-i-1)) : 0;
        }
        return n;
    }

    public static float convertP8(BitSet bits) {
        float n = convert(bits.get(8, 16), 8, true);
        for(int i = 0; i < 8; i++) {
            n += bits.get(i) ? 1f / (float) (1 << i) : 0f;
        }
        return n;
    }

    public static int ceilToByte(int n) {
        return (n % 8 == 0) ? n : n + (8 - (n % 8));
    }
}
